<?php

class _geolocation{
	
	/**
	 * A simple call to main actions when constructed
	 */
	function __construct() {
				
	}
	
	/**
	 * 	$item can be:
		city, regionCode (state), countryName, countryCode, etc
	 */
	function get( $item ){
		
		$geoplugin = new geoPlugin();

		//locate the IP
		$geoplugin->locate();

		// return item
		return $geoplugin->{$item};
		
	}
	
	function display_demo_sample(){

		//require_once('geoplugin.class.php');
		
		$geoplugin = new geoPlugin();
		
		/* 
		Notes:
		
		The default base currency is USD (see http://www.geoplugin.com/webservices:currency ).
		You can change this before the call to geoPlugin::locate with eg:
		$geoplugin->currency = 'EUR';
		
		The default IP to lookup is $_SERVER['REMOTE_ADDR']
		You can lookup a specific IP address, by entering the IP in the call to geoPlugin::locate
		eg
		$geoplugin->locate('209.85.171.100');
		
		The default language is English 'en'
		supported languages:
		de (German)
		en (English - default)
		es (Spanish)
		fr (French)
		ja (Japanese)
		pt-BR (Portugese, Brazil)
		ru (Russian)
		zh-CN (Chinese, Zn)
		
		To change the language to e.g. Japanese, use:
		$geoplugin->lang = 'ja';
		*/
		
		//locate the IP
		$geoplugin->locate();
		
		echo "Geolocation results for {$geoplugin->ip}: <br />\n".
			"City: {$geoplugin->city} <br />\n".
			"Region: {$geoplugin->region} <br />\n".
			"Region Code: {$geoplugin->regionCode} <br />\n".
			"Region Name: {$geoplugin->regionName} <br />\n".
			"DMA Code: {$geoplugin->dmaCode} <br />\n".
			"Country Name: {$geoplugin->countryName} <br />\n".
			"Country Code: {$geoplugin->countryCode} <br />\n".
			"In the EU?: {$geoplugin->inEU} <br />\n".
			"EU VAT Rate: {$geoplugin->euVATrate} <br />\n".
			"Latitude: {$geoplugin->latitude} <br />\n".
			"Longitude: {$geoplugin->longitude} <br />\n".
			"Radius of Accuracy (Miles): {$geoplugin->locationAccuracyRadius} <br />\n".
			"Timezone: {$geoplugin->timezone} <br />\n".
			"Currency Code: {$geoplugin->currencyCode} <br />\n".
			"Currency Symbol: {$geoplugin->currencySymbol} <br />\n".
			"Exchange Rate: {$geoplugin->currencyConverter} <br />\n";
		
		/*
		How to use the in-built currency converter
		geoPlugin::convert accepts 3 parameters
		$amount - amount to convert (required)
		$float - the number of decimal places to round to (default: 2)
		$symbol - whether to display the geolocated currency symbol in the output (default: true)
		*/
		if ( $geoplugin->currency != $geoplugin->currencyCode ) {
			//our visitor is not using the same currency as the base currency
			echo "<p>At todays rate, US$100 will cost you " . $geoplugin->convert(100) ." </p>\n";
		}
		
		/* Finding places nearby 
		nearby($radius, $maxresults)
		$radius (optional: default 10)
		$maxresults (optional: default 5)
		 */
		$nearby = $geoplugin->nearby();
		
		if ( isset($nearby[0]['geoplugin_place']) ) {
		
			echo "<pre><p>Some places you may wish to visit near " . $geoplugin->city . ": </p>\n";
		
			foreach ( $nearby as $key => $array ) {
				
				echo ($key + 1) .":<br />";
				echo "\t Place: " . $array['geoplugin_place'] . "<br />";
				echo "\t Region: " . $array['geoplugin_region'] . "<br />";
				echo "\t Latitude: " . $array['geoplugin_latitude'] . "<br />";
				echo "\t Longitude: " . $array['geoplugin_longitude'] . "<br />";
			}
			echo "</pre>\n";
		}

	}
	
}
 